vim.g.mapleader = " "
vim.keymap.set("n", "<leader>pv", vim.cmd.Ex)

vim.keymap.set("n", "<leader>cdp", ":cd %:p:h<CR>")
vim.keymap.set("n", "<leader>cdc", ":cd $HOME/.config/nvim<CR>")
vim.keymap.set("n", "<leader>cdb", ":cd -<CR>")


--- Tabs
vim.keymap.set("n", "<leader>tt", vim.cmd.tabnew)
vim.keymap.set("n", "<leader>tq", vim.cmd.tabclose)
vim.keymap.set("n", "<leader>to", vim.cmd.tabonly)
vim.keymap.set("n", "<leader>te", vim.cmd.tab)
vim.keymap.set("n", "<leader>th", vim.cmd.tabprevious)
vim.keymap.set("n", "<leader>tl", vim.cmd.tabnext)
for i = 1, 9, 1 do
	vim.keymap.set("n", "<leader>t"..i, ":"..i.."tabnext<CR>")
end

--- Windows
vim.keymap.set("n", "<leader>ws", vim.cmd.split)
vim.keymap.set("n", "<leader>wv", vim.cmd.vsplit)
vim.keymap.set("n", "<leader>wq", vim.cmd.quit)

--- Folds

vim.keymap.set("n", "<leader>ff", ":foldopen<CR>")
vim.keymap.set("n", "<leader>fc", ":foldclose<CR>")


--- Some fold {{{
	


	--- }}}
